Bug 212218 - Extend Autoupdate API to improve UI of update IDE
Extend Autoupdate API to improve UI of update IDE
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Jiri Rechtacek
au-issues
: API, API_REVIEW_FAST, UMBRELLA
Depends on:
Blocks: 211734 211735 211736 211737 211741 211777 211796
  Show dependency treegraph
 
Reported: 2012-05-09 07:59 UTC by Jiri Rechtacek
Modified: 2012-05-17 15:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
the proposed API changes (25.12 KB, patch)
2012-05-10 13:18 UTC, Jiri Rechtacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2012-05-09 07:59:36 UTC
Based on http://wiki.netbeans.org/NetBeans71PatchingProcessReview#7.2 I propose to extend Autoupdate API and Update Provider Descriptor DTD to enable supplementation of attached tasks. All API change are in the attached patch file, rest of implementation is on core-main#autoupdate_211777 branch.
Comment 1 Jiri Rechtacek 2012-05-10 13:18:12 UTC
Created attachment 119282 [details]
the proposed API changes

The proposed API changes are in the attachment. Rest of implementation found on http://hg.netbeans.org/core-main#autoupdate_21177 branch.
Comment 2 Jiri Rechtacek 2012-05-15 16:23:32 UTC
I'm going to integrate it tomorrow.
Comment 3 Jiri Rechtacek 2012-05-16 15:10:03 UTC
core-main/rev/3b5f1c82d4d3
Comment 4 Quality Engineering 2012-05-17 15:40:44 UTC
Integrated into 'main-golden', will be available in build *201205170950* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9eda3a33e487
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #212218: Extend Autoupdate API to improve UI of update IDE


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo